﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Example Scenarios and Use Cases</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Example Scenarios and Use Cases</h1>
        <p>This topic consists of the following scenarios.</p>
        <p>Example Scenario 1:</p>
        <p>Suppose you have created an analytic control with "deprovision account" action and run the analytic control from the Job Control Panel. Also, you have created the Remove Account Task for an Active Directory (AD) account in "Inactive" status and executed the&#160;&#160;WSRETRY job for AD endpoint.</p>
        <p>Now, in Saviynt Identity Governance and Administration (IGA), an analytics control provides a list of inactive accounts with active users, and the deprovision account task is created for such inactive accounts.</p>
        <p>This task proceeds with the following actions in Remove Account JSON:</p>
        <ul>
            <li>The user account in AD is disabled and updated with userAccountControl.&#160;</li>
            <li>AD groups are removed from the AD account.</li>
            <li>The user is moved to another organizational unit in AD.&#160;</li>
            <li>The entitlements are removed from the AD account in IGA.&#160;</li>
            <li>The remove account task is completed.</li>
        </ul>
        <h3 id="ExampleScenariosandUseCases-ExampleScenario2:SettingupNotifications">Example Scenario 2:&#160;Setting up Notifications</h3>
        <p>This scenario explains how to set up email notifications for a simple Elasticsearch-based analytics control.</p>
        <ol>
            <li>Configure an email template in "<strong>Analytics Accepted Violations Reminder Email Template</strong>" field from <strong>Admin&gt; Configurations &gt; Global Configurations&gt; Analytics</strong>.&#160;</li>
            <li>Create an Elasticsearch-based analytics control (Analytics Version 2) and assign the owner.</li>
            <li>Select <strong>Actions &gt; Run History &gt;  &#160;Run History&#160;detail</strong> page.</li>
            <li>Accept violations by entering the start date and end date for the control.</li>
            <li>Select <strong>Admin &gt;Job Control Panel&gt;Analytics</strong> and run <strong>Acceptedanalyticsviolationreminder</strong> job by configuring a time interval (say 15).</li>
            <li>The&#160;control owner receives an email notification based on the email template.</li>
        </ol>
        <h3 id="ExampleScenariosandUseCases-ExampleScenario3:ViewingArchivalData">Example Scenario 3:&#160;Viewing Archival Data</h3>
        <p>This scenario explains how to view the archival data for analytics controls.</p>
        <p>All the requests whose status belong to Completed, Expired, Discontinued, and all the requests made from day 1 until the last n days are archived into the relevant ARS database table in Saviynt (where n represent the archival days). For each of these requests, if tasks exist, IGA selects those tasks with task status as New, In progress, or Pending Provisioning, and archives the tasks. When you select the&#160;<strong>Show Archival Records</strong>&#160;check box in the&#160;<strong>Pending Tasks</strong> screen, IGA displays these tasks in the&#160;<strong>List of Pending Tasks</strong>.</p>
        <ol>
            <li>Log in as an admin user in IGA.</li>
            <li>Select <strong>Admin &gt; Configurations &gt; Global Configurations &gt; Common </strong>tab, and set the&#160;<strong>Archival Days</strong> field as 2.</li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The Archival Days field specifies the number of days after which the discontinued or completed&#160;request gets archived. To perform archival of requests after the specified number of days, you need to run the ARCHIVEJOB <strong>from Admin &gt; Job Control Panel &gt; Utility &gt; ARCHIVEJOB</strong>.</p>
        </div>
        <ol MadCap:continue="true">
            <li>Navigate to <strong>Job Control Panel &gt;Utility &gt; Archive Job</strong>.</li>
            <li>
                <p class="auto-cursor-target">Run the job.</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The <strong>Admin &gt; Utility &gt;&#160;ArchiveJob</strong> enables the application to fetch the request details and store them as archived requests.</p>
        </div>
        <ol MadCap:continue="true">
            <li>Navigate to <strong>ARS&gt; Tasks &gt; Pending Tasks</strong>.</li>
            <li>Select  <strong>Show Archival Records</strong>. The archival data appears in the <strong>Pending Tasks</strong> screen.</li>
        </ol>
        <div>
            <h3 id="ExampleScenariosandUseCases-ExampleScenario4:RecognizingNewEntitlements">Example Scenario 4:&#160;Recognizing New Entitlements</h3>
            <p>Sample query to recognize entitlements created in the last 30 days:</p>
            <MadCap:codeSnippet>
                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select e.ENDPOINTNAME as 'APPLICATION', et.ENTITLEMENTNAME as 'ENTITLEMENT TYPE', ev.ENTITLEMENT_VALUE as 'ENTITLEMENT NAME', ev.CREATEDATE as 'CREATE DATE', ev.ENTITLEMENT_GLOSSARY, ev.DESCRIPTION, ev.SOX_CRITICAL, ev.RISK, ev.SYS_CRITICAL&#160;from entitlement_values ev, entitlement_types et, endpoints e&#160;where v.ENTITLEMENTTYPEKEY= et.ENTITLEMENTTYPEKEY and et.ENDPOINTKEY=e.ENDPOINTKEY&#160;and datediff(sysdate(),ev.createdate)&lt;=30;  </MadCap:codeSnippetBody>
            </MadCap:codeSnippet>
        </div>
        <br />
    </body>
</html>